Package org.apache.lucene.index

# Enum Class DocValuesSkipIndexType

java.lang.Object
java.lang.Enum<DocValuesSkipIndexType>
org.apache.lucene.index.DocValuesSkipIndexType

All Implemented Interfaces:
  `Serializable`, `Comparable<DocValuesSkipIndexType>`, `Constable`

public enum DocValuesSkipIndexType extends Enum<DocValuesSkipIndexType>
Options for skip indexes on doc values.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  No skip index should be created.
  `RANGE`
  Record range of values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DocValuesSkipIndexType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DocValuesSkipIndexType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final DocValuesSkipIndexType NONE
    No skip index should be created.

  - ### RANGE

    public static final DocValuesSkipIndexType RANGE
    Record range of values. This is suitable for `DocValuesType.NUMERIC`, `DocValuesType.SORTED_NUMERIC`, `DocValuesType.SORTED` and `DocValuesType.SORTED_SET` doc values, and will record the min/max values per range of doc IDs.

- ## Method Details

  - ### values

    public static DocValuesSkipIndexType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DocValuesSkipIndexType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null